Search for casts

Search for casts based on a query string, with optional AND filters

Searching Casts

You can search for casts using keywords and commands in the search query. The following search commands are supported:

Date Range Commands

  • before:YYYY-MM-DD - Find casts created before the specified date
  • after:YYYY-MM-DD - Find casts created after the specified date

For example:

  • star wars before:2023-01-01 - Find Star Wars-related casts from before 2023
  • blockchain after:2023-06-01 - Find blockchain-related casts from after June 2023
Query Params
string
required

Query string to search for casts. Supported operators:

OperatorDescription
+Acts as the AND operator. This is the default operator between terms and can usually be omitted.
|Acts as the OR operator.
*When used at the end of a term, signifies a prefix query.
"Wraps several terms into a phrase (for example, "star wars").
(, )Wrap a clause for precedence (for example, star + (wars | trek)).
~nWhen used after a term (for example, satr~3), sets fuzziness. When used after a phrase, sets slop.
-Negates the term.
before:Search for casts before a specific date. (e.g. before:2025-04-20)
after:Search for casts after a specific date. (e.g. after:2025-04-20)
string
enum

Choices are:

  • literal - Searches for the words in the query string (default)
  • semantic - Searches for the meaning of the query string
  • hybrid - Combines both literal and semantic results
Allowed:
string
enum

Choices are:

  • desc_chron - All casts sorted by time (default)
  • algorithmic - Casts sorted by engagement and time
Allowed:
int32

Fid of the user whose casts you want to search

int32

Providing this will return search results that respects this user's mutes and blocks and includes viewer_context.

string

Parent URL of the casts you want to search

string

Channel ID of the casts you want to search

boolean
Defaults to false

When true, only returns search results from power badge users and users that the viewer follows (if viewer_fid is provided).

int32
1 to 100
Defaults to 25

Number of results to fetch

string

Pagination cursor

Headers
boolean
Defaults to false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json